Uploaded image for project: 'TinkerPop'
  1. TinkerPop
  2. TINKERPOP-2852

Update Maven plugin for docker-images building for M1 compatibility

VotersStop watchingWatchersLinkCloneUpdate Comment AuthorReplace String in CommentUpdate Comment VisibilityDelete Comments
    XMLWordPrintableJSON

Details

    • Improvement
    • Status: Closed
    • Critical
    • Resolution: Fixed
    • 3.5.4
    • 3.7.0, 3.6.3, 3.5.6
    • build-release
    • None

    Description

      The current Maven plug in we use for the `docker-image` building profile is no longer maintained (https://github.com/spotify/dockerfile-maven), and it is also not compatible with M1 Macs. 

      We should consider swapping the plug in for an actively maintained one that is M1 compatible, for example https://github.com/fabric8io/docker-maven-plugin/issues/1257.

      Attachments

        Issue Links

        Activity

          This comment will be Viewable by All Users Viewable by All Users
          Cancel

          People

            xiazcy Yang Xia
            xiazcy Yang Xia
            Votes:
            0 Vote for this issue
            Watchers:
            3 Stop watching this issue

            Dates

              Created:
              Updated:
              Resolved:

              Slack

                Issue deployment